<%--
/*
 *    SAM-QFS_notice_begin
 *
 *      Solaris 2.x Sun Storage & Archiving Management File System
 *
 *      Copyright (c) 2006 Sun Microsystems, Inc.
 *      All Rights Reserved.
 *
 *      Government Rights Notice
 *      Use, duplication, or disclosure by the U.S. Government is
 *      subject to restrictions set forth in the Sun Microsystems,
 *      Inc. license agreements and as provided in DFARS 227.7202-1(a)
 *      and 227.7202-3(a) (1995), DRAS 252.227-7013(c)(ii) (OCT 1988),
 *      FAR 12.212(a)(1995), FAR 52.227-19, or FAR 52.227-14 (ALT III),
 *      as applicable.  Sun Microsystems, Inc.
 *
 *    SAM-QFS_notice_end
 */

// ident	$Id: Stage.jsp,v 1.3.2.2 2006/03/22 20:24:15 kilemba Exp $
--%>
<%@ page info="Index" language="java" %> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>
<%@taglib uri="/WEB-INF/tld/com_sun_netstorage_samqfs_web_ui/scope.tld" prefix="samqfs"%>

<jato:useViewBean className="com.sun.netstorage.samqfs.web.fs.StageViewBean">

<!-- include helper javascript -->
<script type="text/javascript" src="/samqfsui/js/popuphelper.js"></script>
<script type="text/javascript" src="/samqfsui/js/fs/stage.js"></script>
<script type="text/javascript" src="/samqfsui/js/CommonPopup.js"></script>
<script type="text/javascript" src="/samqfsui/js/samqfsui.js"></script>
<script type="text/javascript" src="/samqfsui/js/FilterSettings.js"></script>

<!-- Define the resource bundle, html, head, meta, stylesheet and body tags -->
<cc:header
    pageTitle="fs.stage.browsertitle"
    copyrightYear="2006"
    baseName="com.sun.netstorage.samqfs.web.resources.Resources"
    bundleID="samBundle">

<!-- Masthead -->
<cc:primarymasthead name="Masthead" bundleID="samBundle" />

<jato:form name="StageForm" method="post">

<samqfs:scope/>

<!-- Navigation Tabs -->
<jato:content name="LocalTabs">
  <cc:tabs name="Tabs" bundleID="samBundle" />
</jato:content>

<cc:breadcrumbs name="BreadCrumb" bundleID="samBundle" />

<cc:alertinline name="Alert" bundleID="samBundle" />

<cc:pagetitle name="PageTitle" bundleID="samBundle"
        pageTitleText="fs.stage.title"
        showPageTitleSeparator="true"
        showPageButtonsTop="false"
        showPageButtonsBottom="false"/>

<cc:spacer name="spacer1" height="20"/>

<table cellspacing="20"><tr><td colspan="2">
<cc:label name="currentDirectoryLabel" 
          bundleID="samBundle"
          elementName="currentDirectory"
          defaultValue="fs.stage.currentdirectory"/>

<cc:text name="currentDirectory"
         bundleID="samBundle"/>
</td></tr>

<tr><td colspan="2">
<cc:text name="instruction"
         bundleID="samBundle"
         defaultValue="fs.stage.rules"/>
</td></tr>
<tr><td>
<cc:label name="maxEntriesLabel"
          elementName="maxEntries"
          bundleID="samBundle"
          defaultValue="fs.stage.maxentries"/>
</td><td>
<cc:textfield name="maxEntries"
              size="8"
              maxLength="7"
              bundleID="samBundle"/>
</td><td>
<cc:button name="apply"
           defaultValue="common.button.apply"
           bundleID="samBundle"/>
</td></tr></table>

<jato:containerView name="FilesTableView">
<cc:actiontable 
    name="StageFilesTable"
    bundleID="samBundle"
    title="fs.stage.filestable.title"
    selectionType="single"
    selectionJavascript="handleStageFileSelection(this);"
    showAdvancedSortIcon="false"
    showLowerActions="true"
    showPaginationControls="true"
    showPaginationIcon="true"
    showSelectionIcons="true"
    maxRows="25"
    page="1"/>
</jato:containerView>

<cc:hidden name="PreferencesHiddenField1" />
<cc:hidden name="fileNames"/>
<cc:hidden name="GotoDirectory"/>
<cc:hidden name="filterReturnValue"/>
<cc:hidden name="filterValue"/>
<cc:hidden name="filterPageTitle"/>
<cc:hidden name="filterPrompt"/>

</jato:form>
</cc:header>
</jato:useViewBean> 
